﻿/*#region #product-collection*/
#product-collection {
    .section-header {
        > * {
            float: none;
        }

        .message-cart {
            > * {
                width: 50%;
            }

            background: var(--primary);
            border-radius: 5px;
            padding: 15px 10px;
            font-size: 16px;
            font-weight: 300;
            color: var(--white);
            letter-spacing: 1px;
        }
    }

    .section-body {
        .btn-container {
            display: block;


            a {
                letter-spacing: 0;
                font-weight: 300;
            }
        }

        .v-product-list-collection {
            /*background: var(--white);
            border-left: 1px solid #ddd;
            border-top: 1px solid #ddd;*/
            ul.nav-tabs {
                width: 100%;
                margin: 15px auto;
                padding: 0 10px;
                text-align: center;
                // text-align: center;
                li {
                    padding: 0;
                    margin-right: 5px;

                    a {
                        border-radius: 0;
                        font-weight: bold;
                        padding: 0;
                        margin: 0;
                        width: 32px;
                        height: 32px;
                        display: inline-block;
                        text-align: center;
                        line-height: 32px;
                    }
                }
            }

            .tab-content {
                padding: 0px;
            }

            .tab-item {
                &.col-5item {
                    > * {
                        width: calc(100% / 5);
                        margin-top: 0;
                        margin-left: 0;
                        margin-right: 0;

                        &:nth-child(3) {
                            margin-top: 0px;
                        }
                    }
                }
            }

            .box-gel-kit {
                border-right: 1px solid #ddd;
                border-bottom: 1px solid #ddd;
                padding-top: 10px;


                .img-container {


                    img {
                        height: auto;
                    }
                }

                .btn-container {
                    display: flex;
                    align-items: center;
                    justify-content: center;

                    a {
                        font-size: 12px;
                        padding: 5px 10px;
                        margin-top: 10px;
                    }
                }

                .text-container {
                    padding: 10px;

                    .name-sku {
                        color: #444;
                       // -webkit-line-clamp: 2;
                       // -webkit-box-orient: vertical;
                        overflow: hidden;
                        text-overflow: ellipsis;
                      //  display: -webkit-box;
                        min-height: 40px;
                        font-weight: 300;
                    }

                    .price-container {
                        padding: 0 10px;
                        @include flex-container();

                        > * {
                            width: 50%;
                        }

                        .price {
                            color: var(--primary);
                            font-size: 17px;
                            font-weight: 500;
                        }

                        .listed-price {
                            font-weight: 300;
                            color: gray;
                            text-decoration: line-through;
                            text-align: right;
                        }
                    }
                }

                .check-container {
                    min-height: 55px;

                    .quantity-container {
                        @include flex-container();
                        @include flex-center();

                        .control {
                            margin: 0 10px;
                            border: 1px solid #ddd;
                            border-radius: 5px;

                            input {
                                width: 30px;
                                border: none;
                                height: 30px;
                                background: $white;
                                background-clip: padding-box;
                                outline: none;
                                border-right: 1px solid #ddd;
                                border-left: 1px solid #ddd;
                                padding: 0 0px;
                                margin: 0;
                                font-weight: 700;
                                text-align: center;

                                input[type=number] {
                                    -moz-appearance: textfield; /* Firefox */
                                }
                            }

                            input::-webkit-outer-spin-button,
                            input::-webkit-inner-spin-button {
                                /* display: none; <- Crashes Chrome on hover */
                                -webkit-appearance: none;
                                margin: 0; /* <-- Apparently some margin are still there even though it's hidden */
                            }

                            span {
                                cursor: pointer;
                                width: 24px;
                                color: #666;
                                line-height: 30px;
                                font-size: 17px;
                                height: 30px;
                                text-align: center;
                                overflow: hidden;
                                display: inline-block;
                                vertical-align: top;

                                &:hover {
                                    color: $primary-color;
                                }
                            }
                        }
                    }
                }
            }

            .item {
                &.col-5item {
                    > * {
                        width: calc(100% / 4);
                        margin-top: 0;
                        margin-left: 0;
                        margin-right: 0;

                        &:nth-child(3) {
                            margin-top: 0px;
                        }
                    }
                }
            }
        }
    }

    .section-footer {
    }
}
/*#region #productdetail*/


/*#endregion*/
@media screen and (min-width: 1920px) {
    /*#region #sad*/
    /*#endregion*/
}

@media screen and (min-width: 1200px) {
    /*#region #sad*/
    /*#endregion*/
}

@media screen and (max-width: 1280px) {
    #product-collection {
        .section-body {
            .v-product-list-collection {
                .item {
                    .box-gel-kit {
                        .img-container {
                            
                        }
                    }
                }
            }
        }
    }
}

@media screen and (max-width: 1024px) {

    /*#region index*/
    #product-collection {
        .section-body {
            .v-product-list-collection {
                .item {
                    .box-gel-kit {
                        .img-container {
                            
                        }
                    }
                }
            }
        }
    }
    /*#endregion*/
}

@media screen and (max-width: 980px) {
}

@media screen and (max-width: 768px) {

    /*#region index*/
    #product-collection {
        .section-body {
            .v-product-list-collection {
                ul.nav-tabs {
                    text-align: center;

                    li {
                        display: inline-block;
                    }
                }

                .tab-item {
                    &.col-5item {
                        > * {
                            width: calc(100% / 3);
                        }
                    }
                }

                .item {
                    &.col-5item {
                        > * {
                            width: calc(100% / 3);
                        }
                    }

                    .box-gel-kit {
                        .img-container {
                        }
                    }
                }
            }
        }
    }
    /*#endregion*/
}

@media screen and (max-width: 650px) {
}

@media screen and (max-width: 450px) {
    /*#region index*/
    #product-collection {
        .section-header {
            .message-cart {
                font-size: 13px;

                .count-total-amount {
                    text-align: right;
                }
            }
        }

        .section-body {
            .v-product-list-collection {
                ul.nav-tabs {

                    li {
                        display: inline-block;
                    }
                }

                .tab-item {
                    &.col-5item {
                        > * {
                            width: 50%;
                        }
                    }
                }

                .item {
                    &.col-5item {
                        > * {
                            width: 50%;
                        }
                    }

                    .box-gel-kit {
                        .img-container {
                        }
                    }
                }
            }
        }
    }
    /*#endregion*/
}

@media screen and (max-width: 375px) {
}

@media screen and (max-width: 360px) {
    /*#region product*/

    /*#endregion*/
    /*#region product*/
    /*#endregion*/
}

@media screen and (max-width: 320px) {
}
/*------------------------------------*\
  STYLE FIX ALL BROWSER
\*------------------------------------*/
/*#region firefox*/
@-moz-document url-prefix() {
    /*Code is here*/
}
/*#endregion*/
/*#region ie*/
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
    /*Code is here*/
}
/*#endregion*/
